Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlrpc.server
Class PropertyHandlerMapping

    java.lang.Object
      org.apache.xmlrpc.server.AbstractReflectiveHandlerMapping
          org.apache.xmlrpc.server.PropertyHandlerMapping

All Implemented Interfaces:
  XmlRpcListableHandlerMapping, XmlRpcHandlerMapping

    public class PropertyHandlerMapping

extends AbstractReflectiveHandlerMapping

A handler mapping based on a property file. The property file contains a set of properties. The property key is taken as the handler name. The property value is taken as the name of a class being instantiated. For any non-void, non-static, and public method in the class, an entry in the handler map is generated. A typical use would be, to specify interface names as the property keys and implementations as the values.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.xmlrpc.server.AbstractReflectiveHandlerMapping
`AbstractReflectiveHandlerMapping.AuthenticationHandler`

Field Summary

Fields inherited from class org.apache.xmlrpc.server.AbstractReflectiveHandlerMapping
`handlerMap`

Constructor Summary
`PropertyHandlerMapping()`

Method Summary
`void` | `addHandler(java.lang.String pKey, java.lang.Class pClass)` Adds handlers for the given object to the mapping.
`void` | `load(java.lang.ClassLoader pClassLoader, java.util.Map pMap)` Reads handler definitions from an existing Map.
`void` | `load(java.lang.ClassLoader pClassLoader, java.lang.String pResource)` Reads handler definitions from a resource file.
`void` | `load(java.lang.ClassLoader pClassLoader, java.net.URL pURL)` Reads handler definitions from a property file.
`protected java.lang.Class` | `newHandlerClass(java.lang.ClassLoader pClassLoader, java.lang.String pClassName)`
`void` | `removeHandler(java.lang.String pKey)` Removes all handlers with the given class key.

Methods inherited from class org.apache.xmlrpc.server.AbstractReflectiveHandlerMapping
`getAuthenticationHandler, getHandler, getListMethods, getMethodHelp, getMethodHelp, getMethodSignature, getRequestProcessorFactoryFactory, getSignature, getTypeConverterFactory, isHandlerMethod, isVoidMethodEnabled, newXmlRpcHandler, registerPublicMethods, setAuthenticationHandler, setRequestProcessorFactoryFactory, setTypeConverterFactory, setVoidMethodEnabled`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertyHandlerMapping

    public PropertyHandlerMapping()

Method Detail

### load

    public void load(java.lang.ClassLoader pClassLoader,
                     java.lang.String pResource)
              throws java.io.IOException,
                     XmlRpcException

  Reads handler definitions from a resource file.

  Parameters:
    `pClassLoader` - The class loader being used to load handler classes.
    `pResource` - The resource being used, for example "org/apache/xmlrpc/webserver/XmlRpcServlet.properties"
  Throws:
    `java.io.IOException` - Loading the property file failed.
    `XmlRpcException` - Initializing the handlers failed.

### load

    public void load(java.lang.ClassLoader pClassLoader,
                     java.net.URL pURL)
              throws java.io.IOException,
                     XmlRpcException

  Reads handler definitions from a property file.

  Parameters:
    `pClassLoader` - The class loader being used to load handler classes.
    `pURL` - The URL from which to load the property file
  Throws:
    `java.io.IOException` - Loading the property file failed.
    `XmlRpcException` - Initializing the handlers failed.

### load

    public void load(java.lang.ClassLoader pClassLoader,
                     java.util.Map pMap)
              throws XmlRpcException

  Reads handler definitions from an existing Map.

  Parameters:
    `pClassLoader` - The class loader being used to load handler classes.
    `pMap` - The existing Map to read from
  Throws:
    `XmlRpcException` - Initializing the handlers failed.

### newHandlerClass

    protected java.lang.Class newHandlerClass(java.lang.ClassLoader pClassLoader,
                                              java.lang.String pClassName)
                                       throws XmlRpcException

  Throws:
    `XmlRpcException`

### addHandler

    public void addHandler(java.lang.String pKey,
                           java.lang.Class pClass)
                    throws XmlRpcException

  Adds handlers for the given object to the mapping. The handlers are build by invoking `AbstractReflectiveHandlerMapping.registerPublicMethods(String, Class)`.

  Parameters:
    `pKey` - The class key, which is passed to `AbstractReflectiveHandlerMapping.registerPublicMethods(String, Class)`.
    `pClass` - Class, which is responsible for handling the request.
  Throws:
    `XmlRpcException`

### removeHandler

    public void removeHandler(java.lang.String pKey)

  Removes all handlers with the given class key.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 The Apache Software Foundation. All Rights Reserved.